#### D.4.18.2 minbaseMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  minbaseMon (I); I ideal.

Return:
  an ideal, the minimal monomial generators of I.
  (-1 if the generators of I are not monomials)

Assume:
  I is an ideal generated by a list of monomials of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^3*x*y, w^2*x^2*y^2*z^2, y^3*z,x^4*z^4*t^4, w*x*y*z*t,w*x^6*y^5*z^4, x^2*z^4*t^3 , w^6*y^4*z^2,x^2*y^2*z^2;
    minbaseMon(I);
    ==> _[1]=w3xy
    ==> _[2]=y3z
    ==> _[3]=wxyzt
    ==> _[4]=x2z4t3
    ==> _[5]=x2y2z2

User manual for Singular version 4.4.1, 2025, generated by texi2html.